package com.fs.watch.domain;

import java.io.Serializable;
import java.util.List;
import java.util.UUID;

/**
 * accelerometer数据
 * @TableName watch_accelerometer_data
 */
public class WatchAccelerometerData  implements Serializable {
    /**
     * 主键id
     */
    private UUID id;

    /**
     * 设备编号
     */
    private String deviceId;

    /**
     *
     */
    private List<Integer> x;

    /**
     *
     */
    private List<Integer> y;

    /**
     *
     */
    private List<Integer> z;

    /**
     * 创建时间
     */
    private String  createTime;

    private static final long serialVersionUID = 1L;

    public WatchAccelerometerData() {
    }

    public WatchAccelerometerData(UUID id, String deviceId, List<Integer> x, List<Integer> y, List<Integer> z, String createTime) {
        this.id = id;
        this.deviceId = deviceId;
        this.x = x;
        this.y = y;
        this.z = z;
        this.createTime = createTime;
    }



    public UUID getId() {
        return id;
    }

    public void setId(UUID id) {
        this.id = id;
    }

    public String getDeviceId() {
        return deviceId;
    }

    public void setDeviceId(String deviceId) {
        this.deviceId = deviceId;
    }

    public List<Integer> getX() {
        return x;
    }

    public void setX(List<Integer> x) {
        this.x = x;
    }

    public List<Integer> getY() {
        return y;
    }

    public void setY(List<Integer> y) {
        this.y = y;
    }

    public List<Integer> getZ() {
        return z;
    }

    public void setZ(List<Integer> z) {
        this.z = z;
    }

    public String getCreateTime() {
        return createTime;
    }

    public void setCreateTime(String createTime) {
        this.createTime = createTime;
    }
}
